'''
command line version of a file or directory chooser like
Gtk::FileChooserDialog

'''

$:.unshift __dir__ unless $LOAD_PATH.include? __dir__  

require 'pathname'  #  ruby standard lib

require 'highline'


require 'filechooser/string-class'
require 'filechooser/highline-module'
require 'filechooser/api'

module Filechooser
  STARTFOLDER=File.expand_path("~")
  NO_CHOICE="||Abort||"
  Highline.init
end

# puts Filechooser.filechooser
